{% extends 'base_admin.html.twig' %}

{% block body %}

    <title>Event index</title>

    <h1 class="h1-categories-admin">Gestion des événements</h1>

    <a href="{{ path('admin_event_new') }}" class="admin-link-new-category">Ajouter</a>

    <div class="container">
        <table id="table" class="table table-striped table-bordered" cellspacing="0">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Catégorie</th>
                    <th>Date et heure de l'événement</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
            {% for event in events %}
                <tr>
                    <td>{{ event.name }}</td>
                    <td>{{ event.description }}</td>
                    <td>{{ event.categoryIdCategory.name }}</td>
                    <td>Le {{ event.date ? event.date|date('d-m-Y') : '' }} à  {{ event.date ? event.date|date('H:i:s') : '' }}</td> 
                    <td>
                        <a href="{{ path('admin_event_edit', {'id': event.id}) }}" class="tab-links-categories-admin">Modifier</a>
                        <a href="{{ path('admin_event_show', {'id': event.id}) }}" class="tab-links-categories-admin">Afficher</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="5">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>

{% endblock %}
